Bug 1675611 - pcl: FTBFS in Fedora rawhide/f30
Summary: pcl: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pcl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS 1674872
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:23 UTC by Fedora Release Engineering
Modified: 2019-02-18 02:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-18 02:35:20 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:23 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:23 UTC, Fedora Release Engineering
no flags Details
state.log (605 bytes, text/plain)
2019-02-11 21:23 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:23:02 UTC
pcl failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32430363


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix pcl at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pcl will be orphaned. Before branching of Fedora 31,
pcl will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:23:05 UTC
Created attachment 1531887 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:23:07 UTC
Created attachment 1531888 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:23:08 UTC
Created attachment 1531889 [details]
state.log

Comment 4 Rich Mattes 2019-02-14 01:26:01 UTC
Looks like some issues with the new boost release.  I'm working on applying this upstream patch:
https://github.com/PointCloudLibrary/pcl/pull/2338

Comment 5 Rich Mattes 2019-02-15 01:28:23 UTC
There's a lot of fixes that are needed that are already upstream, I'm updating to PCL 1.9.1 now.

Comment 6 Rich Mattes 2019-02-16 15:13:06 UTC
Getting closer, now running out of memory on 32-bit builders (i686 and armv7hl) with the below error.  The package is already running with -j 1 and changing the -g cflag to -g1 on arm, I'm going to try making -g1 apply to all 32 bit arches and turn off -pipe.

===

-Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m32 -march=i686 -mtune=generic -msse2 -mfpmath=sse -mstackrealign -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -pthread -fopenmp       -fPIC   -fPIC -std=gnu++11 -o CMakeFiles/pcl_surface.dir/src/mls.cpp.o -c /builddir/build/BUILD/pcl-1.9.1/surface/src/mls.cpp
BUILDSTDERR: In file included from /usr/include/boost/detail/endian.hpp:9,
BUILDSTDERR:                  from /builddir/build/BUILD/pcl-1.9.1/common/include/pcl/PCLPointCloud2.h:11,
BUILDSTDERR:                  from /builddir/build/BUILD/pcl-1.9.1/common/include/pcl/pcl_base.h:55,
BUILDSTDERR:                  from /builddir/build/BUILD/pcl-1.9.1/surface/include/pcl/surface/mls.h:44,
BUILDSTDERR:                  from /builddir/build/BUILD/pcl-1.9.1/surface/src/mls.cpp:40:
BUILDSTDERR: /usr/include/boost/predef/detail/endian_compat.h:11:161: note: #pragma message: The use of BOOST_*_ENDIAN and BOOST_BYTE_ORDER is deprecated. Please include <boost/predef/other/endian.h> and use BOOST_ENDIAN_*_BYTE instead
BUILDSTDERR:    11 | #pragma message("The use of BOOST_*_ENDIAN and BOOST_BYTE_ORDER is deprecated. Please include <boost/predef/other/endian.h> and use BOOST_ENDIAN_*_BYTE instead")
BUILDSTDERR:       |                                                                                                                                                                 ^
BUILDSTDERR: cc1plus: out of memory allocating 2084644 bytes after a total of 112517120 bytes
make[2]: Leaving directory '/builddir/build/BUILD/pcl-1.9.1/build'
BUILDSTDERR: make[2]: *** [surface/CMakeFiles/pcl_surface.dir/build.make:170: surface/CMakeFiles/pcl_surface.dir/src/mls.cpp.o] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/pcl-1.9.1/build'
BUILDSTDERR: make[1]: *** [CMakeFiles/Makefile2:1842: surface/CMakeFiles/pcl_surface.dir/all] Error 2
BUILDSTDERR: make: *** [Makefile:144: all] Error 2
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.Y8wiFW (%build)
RPM build errors:
BUILDSTDERR:     Bad exit status from /var/tmp/rpm-tmp.Y8wiFW (%build)
Child return code was: 1
EXCEPTION: [Error()]
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/mockbuild/trace_decorator.py", line 96, in trace
    result = func(*args, **kw)
  File "/usr/lib/python3.7/site-packages/mockbuild/util.py", line 636, in do
    raise exception.Error("Command failed: \n # %s\n%s" % (command, output), child.returncode)
mockbuild.exception.Error: Command failed: 
 # bash --login -c /usr/bin/rpmbuild -bb --target i686 --nodeps /builddir/build/SPECS/pcl.spec


https://koji.fedoraproject.org/koji/taskinfo?taskID=32837386

Comment 7 Rich Mattes 2019-02-18 02:35:20 UTC
Finally managed to coax a build out of all of the architectures.  Closing.


Note You need to log in before you can comment on or make changes to this bug.